Skip to main content
GET
/
task_runs
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.taskRuns.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "task_id": "<string>",
      "status": "pending",
      "summary": "<string>",
      "error_message": "<string>",
      "input_tokens": 123,
      "output_tokens": 123,
      "credits_consumed": 123,
      "tool_calls_count": 123,
      "duration_ms": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by run status

Available options:
pending,
running,
completed,
failed,
needs_input
ai_task_id
string

Filter by the parent task's prefixed ID

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of task runs

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required